| Class BamHeaderRecord Represents a header entry in a SAM file or the header section of the BAM header. BamHeaderRecord Include Headers seqan/bam_io.h Remarks Comment records are stored with one tag where the key is empty and the value is the comment. Typedefs
TTag | Pair to use for storing tags.
TTagName | Type of the tag keys.
TTags | Type of the string of tag Pairs.
TTagValue | Type of the tag values.
Data Members
tags | The header record's tags.
type | Type of the record.
Member Functions
BamHeaderRecord | Constructor.
Functions
clear | Resets an object.
findTagKey | Find a tag's key of a BamHeaderRecord.
getTagValue | Return tag value from a BamHeaderRecord or BamTagsDict.
setTagValue | Set tag value of a BamHeaderRecord.
See Also BamHeader SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56